# ***********************************************************************************************
# (C) Copyright 2022 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates and licensors
# (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such
# products and services. Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial errors or omissions
# contained herein. The information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential information
# and a valid license is required for possession, use or copying. If this work is provided to the
# U.S. Government, consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items are licensed
# to the U.S. Government under vendor's standard commercial license.
# *************************************************************************************************

#! /usr/bin/env bash

edirApi_port=$(grep "^[[:blank:]]*EDIR_REST_API_PORT=" /opt/novell/umc/apps/umc-server/prod.env | sed s/^[[:blank:]]*EDIR_REST_API_PORT=//)

tar -xvf /opt/novell/umc/apps/eDirAPI_170_Container.tar.gz -C /opt/novell/umc/apps/

docker load --input /opt/novell/umc/apps/eDirAPI_170/eDirAPI_170.tar.gz;

rm -rf /opt/novell/umc/apps/eDirAPI_170/ &>/dev/null;

cat > /etc/opt/novell/umc/eDirAPI/conf/edirapi.conf << EOF
listen = ":${edirApi_port}"
idconsolemode = true
ospmode = false
check-origin = "true"
origin = "$(hostname -i)"
bcert = "/etc/opt/novell/eDirAPI/cert/"
pfxpassword = "microfocusUmc"
EOF

if [[ ! -f "/etc/ssl/servercerts/keys.pfx" ]]
then
     openssl pkcs12 -export -out /etc/ssl/servercerts/keys.pfx -inkey /etc/ssl/servercerts/serverkey.pem -in /etc/ssl/servercerts/servercert.pem -passout pass:microfocusUmc;
fi

chmod 705 /etc/ssl/servercerts/keys.pfx

docker create --name edirapi-container --volume edirapi-volume:/config/ --network=host --env ACCEPT_EULA=Y edirapi:1.7.0.0000;

docker cp /etc/ssl/servercerts/keys.pfx edirapi-container:/etc/opt/novell/eDirAPI/cert/keys.pfx;

docker cp /etc/opt/novell/certs/SSCert.pem edirapi-container:/etc/opt/novell/eDirAPI/cert/SSCert.pem;

docker cp /etc/opt/novell/umc/eDirAPI/conf/edirapi.conf edirapi-container:/etc/opt/novell/eDirAPI/conf/edirapi.conf;

docker start edirapi-container;

firewall-cmd --permanent --zone=public --add-port=${edirApi_port}/tcp;

firewall-cmd --reload;
