#!/bin/bash
# ------------------------------------------------------------------------------
# (C) Copyright 1995 - 2022 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its
# affiliates and licensors (“Micro Focus”) are as may be set forth in the
# express warranty statements accompanying such products and services.
# Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial
# errors or omissions contained herein. The information contained herein
# is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains
# confidential information and a valid license is required for possession,
# use or copying. If this work is provided to the U.S. Government,
# consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items
# are licensed to the U.S. Government under vendor's standard commercial
# license.
# ------------------------------------------------------------------------------

source /etc/sysconfig/novell/oes-ldap

# accept all user inputs before starting
read -s -p "Enter the password for $CONFIG_LDAP_ADMIN_CONTEXT: " ADMIN_PASSWORD

# uncomment the 4 lines below for fetching latest OES RPMs and upgrading
# i.e. to perform a system upgrade
# zypper rr --local
# zypper ar http://blr-dist.blr.novell.com/install/OES2022/LATEST/x86_64/ OES2022-LATEST
# zypper ref -f -b
# zypper dup

zypper --non-interactive install -f microfocus-oes-{umc*,osp}

# Ensure that the filter bar works
NDSD_SERVER_CONTEXT="$(/opt/novell/eDirectory/bin/ndsconfig get | grep n4u.nds.server-context | cut -d '=' -f2- | tr '.' ',')"
FQDN="$(hostname -f)"

# python3 /opt/novell/umc/scripts/umc-config.py setup
python3 /opt/novell/umc/scripts/umc-config.py update_umc_config --edir-admin-username $CONFIG_LDAP_ADMIN_CONTEXT --edir-admin-password $ADMIN_PASSWORD --umc-proxy-user-context $NDSD_SERVER_CONTEXT --db-host $FQDN --db-port 5432 --db-username admin --db-password novell --use-local-osp --osp-tenant-id oes --osp-client-id umc
python3 /opt/novell/umc/scripts/umc-config.py update_oes_rest_config
# python3 /opt/novell/umc/scripts/umc-config.py init_db

bash /opt/novell/umc/scripts/umc-setup.sh
